
Redmine - Defect #10549

Unreproducible NoMethodError (private method `gsub' called for :autologin:Symbol)

2012-03-27 16:52 - Christian Korff

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.3.2

Description

I've got an error when creating or updating issues.

I updated from 0.9.3 over 1.3.1 to 1.3.2. The original package was provided Ubuntu 10.04 universe repository. 1.3.1 was provided by

the PPA http://ppa.launchpad.net/ondrej/redmine/ubuntu and 1.3.2 were compiled using the Ubuntu 12.04 precise packages sources.

However after a new login - i also removed the cookie - everything worked fine. So this is maybe an other issue. So it's

unreproducible to me however I could reproduce it until the new login.

$ sudo RAILS_ENV=production X_DEBIAN_SITEID="siteid" script/about

NOTE: SourceIndex.new(hash) is deprecated; From /usr/share/redmine/config/../vendor/rails/railties

/lib/rails/vendor_gem_source_index.rb:100:in `new'.

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.7.2

Rack version              1.3

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Edge Rails revision       unknown

Application root          /usr/share/redmine

Environment               production

Database adapter          mysql

Database schema version   20110902000000

About your Redmine plugins

Redmine Reposearch plugin        0.0.1

Redmine Wiki Extensions plugin   0.3.9

 
Processing IssuesController#update (for 192.168.1.1 at 2012-03-27 15:52:34) [PUT]

  Parameters: {"issue"=>{"estimated_hours"=>"", "lock_version"=>"0", "priority_id"=>"3", "due_date

"=>"2012-10-31",

 "start_date"=>"2012-02-20", "parent_issue_id"=>"", "is_private"=>"0", "tracker_id"=>"3", "status_

id"=>"1",

 "done_ratio"=>"0", "description"=>"Bug description", "action"=>"update", "commit"=>"OK", "control

ler"=>"issues",

 "attachments"=>{"1"=>{"description"=>""}}, "id"=>"45"}

NoMethodError (private method `gsub' called for :autologin:Symbol):

  /usr/lib/ruby/vendor_ruby/rack/backports/uri/common.rb:24:in `encode_www_form_component'

  /usr/lib/ruby/vendor_ruby/rack/utils.rb:23:in `escape'

  /usr/lib/ruby/vendor_ruby/rack/utils.rb:201:in `set_cookie_header!'

  /usr/lib/ruby/vendor_ruby/rack/utils.rb:238:in `delete_cookie_header!'

  /usr/lib/ruby/vendor_ruby/rack/response.rb:63:in `delete_cookie'

  /usr/lib/ruby/vendor_ruby/action_controller/cookies.rb:94:in `delete'

  app/controllers/application_controller.rb:32:in `handle_unverified_request'

  /usr/lib/ruby/vendor_ruby/action_controller/request_forgery_protection.rb:79:in `verify_authenti

city_token'

  /usr/lib/ruby/vendor_ruby/active_support/callbacks.rb:178:in `send'

  /usr/lib/ruby/vendor_ruby/active_support/callbacks.rb:178:in `evaluate_method'

  /usr/lib/ruby/vendor_ruby/active_support/callbacks.rb:166:in `call'
  /usr/lib/ruby/vendor_ruby/action_controller/filters.rb:225:in `call'

  /usr/lib/ruby/vendor_ruby/action_controller/filters.rb:629:in `run_before_filters'

  /usr/lib/ruby/vendor_ruby/action_controller/filters.rb:615:in `call_filters'

  /usr/lib/ruby/vendor_ruby/action_controller/filters.rb:610:in `perform_action_without_benchmark'

  /usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:68:in `perform_action_without_rescue

'

  /usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:68:in `perform_action_without_rescue

'

  /usr/lib/ruby/vendor_ruby/action_controller/rescue.rb:160:in `perform_action_without_flash'

  /usr/lib/ruby/vendor_ruby/action_controller/flash.rb:151:in `perform_action'

  /usr/lib/ruby/vendor_ruby/action_controller/base.rb:532:in `send'

  /usr/lib/ruby/vendor_ruby/action_controller/base.rb:532:in `process_without_filters'

  /usr/lib/ruby/vendor_ruby/action_controller/filters.rb:606:in `process'

  /usr/lib/ruby/vendor_ruby/action_controller/base.rb:391:in `process'

  /usr/lib/ruby/vendor_ruby/action_controller/base.rb:386:in `call'

  /usr/lib/ruby/vendor_ruby/action_controller/routing/route_set.rb:438:in `call'

  /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:87:in `dispatch'

  /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:121:in `_call'

  /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:130:in `build_middleware_stack'

  /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in `call'

  /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in `call'

  /usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache

'

  /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:9:in `cache'

  /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:28:in `call'

  /usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/connection_pool.rb:361:in `

call'

  /usr/lib/ruby/vendor_ruby/action_controller/string_coercion.rb:25:in `call'

  /usr/lib/ruby/vendor_ruby/rack/head.rb:9:in `call'

  /usr/lib/ruby/vendor_ruby/rack/methodoverride.rb:24:in `call'

  /usr/lib/ruby/vendor_ruby/action_controller/params_parser.rb:15:in `call'

  /usr/lib/ruby/vendor_ruby/action_controller/session/cookie_store.rb:99:in `call'

  /usr/lib/ruby/vendor_ruby/action_controller/failsafe.rb:26:in `call'

  /usr/lib/ruby/vendor_ruby/rack/lock.rb:15:in `call'

  /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:106:in `call'

  /usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:95:in `process_request'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:374:in `start_request_handler'

  /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:332:in `handle_spawn_applicatio

n'

  /usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

  /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:330:in `handle_spawn_applicatio

n'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

  /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:209:in `start'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  /usr/lib/phusion_passenger/passenger-spawn-server:61

Rendering /usr/share/redmine/public/500.html (500 Internal Server Error)

Related issues:

Related to Redmine - Defect #10432: Rack 1.1.3 NoMethodError (private method ... Closed
History

#1 - 2020-03-05 01:51 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce

Closing this issue because Redmine 1.3 is too old.

Please reopen this issue if you still experience the problem with the latest version of Redmine.
